Skip to main content

Get the App Attestation for a dispatch target

GET 

/nevisidm/api/core/v1/:clientExtId/users/:userExtId/dispatch-targets/:dispatchTargetExtId/app-attestation

Since: 8.2605.0, 9.2605.0

Required permission(s): (AccessControl.CredentialView orAccessControl.DispatchTargetView) or SelfAdmin Role

Retrieves the App Attestation associated with the specified dispatch target. An app attestation represents a statement from an application about the authenticity of the device or environment it is running in.

This endpoint supports self-admin access. When accessed by the user themselves, a valid JWT token must be provided in the X-Token header.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    userExtId stringrequired

    External ID of the user.

    Example: user-123
    dispatchTargetExtId stringrequired

    External ID of the dispatch target.

    Example: dt-123

Responses

App Attestation found

Schema
    created string

    Creation date of the entity.

    lastModified string

    Date when the entity was last modified.

    version int32

    Version used for optimistic locking.

    name string

    User friendly name of the iOS App Attestation.

    counter int32

    Number of times the attestation was used to successfully validate an assertion.

    receipt string

    Receipt data of the iOS App Attestation.

    publicKey string

    Public key of the iOS App Attestation.

    deviceId string

    Device ID associated with the iOS App Attestation.

    environment string

    The environment where this credential can be used.

Loading...